<back to all web services

GetProvidersMessage

The following routes are available for this service:
All Verbs/RestApi/Sitefinity/Analytics/MembershipProviders
<?php namespace dtos;

use DateTime;
use Exception;
use DateInterval;
use JsonSerializable;
use ServiceStack\{IReturn,IReturnVoid,IGet,IPost,IPut,IDelete,IPatch,IMeta,IHasSessionId,IHasBearerToken,IHasVersion};
use ServiceStack\{ICrud,ICreateDb,IUpdateDb,IPatchDb,IDeleteDb,ISaveDb,AuditBase,QueryDb,QueryDb2,QueryData,QueryData2,QueryResponse};
use ServiceStack\{ResponseStatus,ResponseError,EmptyResponse,IdResponse,ArrayList,KeyValuePair2,StringResponse,StringsResponse,Tuple2,Tuple3,ByteArray};
use ServiceStack\{JsonConverters,Returns,TypeContext};


class GetProvidersMessage implements JsonSerializable
{
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        return empty($o) ? new class(){} : $o;
    }
}

class MembershipProviderDTO implements JsonSerializable
{
    public function __construct(
        /** @var array<string>|null */
        public ?array $ProviderNames=null,
        /** @var string|null */
        public ?string $DefaultProvider=null
    ) {
    }

    /** @throws Exception */
    public function fromMap($o): void {
        if (isset($o['ProviderNames'])) $this->ProviderNames = JsonConverters::fromArray('string', $o['ProviderNames']);
        if (isset($o['DefaultProvider'])) $this->DefaultProvider = $o['DefaultProvider'];
    }
    
    /** @throws Exception */
    public function jsonSerialize(): mixed
    {
        $o = [];
        if (isset($this->ProviderNames)) $o['ProviderNames'] = JsonConverters::toArray('string', $this->ProviderNames);
        if (isset($this->DefaultProvider)) $o['DefaultProvider'] = $this->DefaultProvider;
        return empty($o) ? new class(){} : $o;
    }
}

PHP GetProvidersMessage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/Sitefinity/Analytics/MembershipProviders HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
Content-Type: application/xml
Content-Length: length

<GetProvidersMessage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model" />
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<MembershipProviderDTO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Analytics.Server.Infrastructure.Services.ServiceStackServices.Model">
  <DefaultProvider>String</DefaultProvider>
  <ProviderNames xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>String</d2p1:string>
  </ProviderNames>
</MembershipProviderDTO>